import PropTypes from 'prop-types';
import classnames from 'classnames';

import classes from './styles.module.scss';

const Dek = function Dek({
  hammer,
  product,
  children,
}) {
  return (
    <p
      className={classnames(
        classes.dek,
        {
          [classes.hammer]: hammer,
          [classes.product]: product,
        },
      )}
    >
      {children}
    </p>
  );
};

Dek.defaultProps = {
  hammer: false,
  product: false,
  children: undefined,
};

Dek.propTypes = {
  /**
   * Used for larger headlines (only with product)
   */
  hammer: PropTypes.bool,
  /**
   * Used for product-like deks
   */
  product: PropTypes.bool,
  /**
   * The contents of the button
   */
  children: PropTypes.string,
};

export default Dek;
