import classnames from 'classnames';
import classes from './styles.module.scss';

const Footer = (props) => {
  const { classes: additionalClasses } = props;
  const {
    root: rootClass,
    linksContainer: linksContainerClass,
    link: linkClass,
    legal: legalClass,
  } = additionalClasses;

  return (
    <footer className={classnames(classes.footer, rootClass)}>
      <div id="sitemap" tabIndex="-1" />
      <nav
        className={classnames(
          classes['links-container'],
          'footer__group',
          'footer__group--links',
          linksContainerClass,
        )}
      >
        <ul>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/about/"
            >
              About Us
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/about/advertising"
            >
              Advertising
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="http://www.politico.com/subscribe/breaking-news-alerts"
            >
              Breaking News Alerts
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/careers"
            >
              Careers
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://secure.politico.com/payment"
            >
              Credit Card Payments
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="http://edition.pagesuite-professional.co.uk/Launch.aspx?bypass=true&PBID=74262970-aa07-44b3-80c8-21fa8a8ac376"
            >
              Digital Edition
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/faq"
            >
              FAQ
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/feedback"
            >
              Feedback
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/politics"
            >
              Headlines
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/gallery"
            >
              Photos
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="http://www.powerjobs.com/"
            >
              POWERJobs
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="http://www.politico.com/about/press/blog"
            >
              Press
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="http://www.politico.com/subscriptions"
            >
              Print Subscriptions
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/rss"
            >
              RSS
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/sitemap"
            >
              Site Map
            </a>
          </li>
        </ul>
        <ul>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/terms-of-service"
            >
              Terms of Service
            </a>
          </li>
          <li className={classes.item}>
            <a
              className={classnames(
                classes.link, linkClass,
              )}
              href="https://www.politico.com/privacy-policy"
            >
              Privacy Policy
            </a>
          </li>
        </ul>
      </nav>
      <nav className={classnames(
        classes.legal, 'footer__group', 'footer__group--legal', legalClass,
      )}
      >
        <p>© 2022 POLITICO LLC</p>
      </nav>
      <div className={classes.clear} />
    </footer>
  );
};

Footer.defaultProps = {
  classes: {},
};

export default Footer;
