import PropTypes from 'prop-types';
import classnames from 'classnames';

import classes from './styles.module.scss';

const Headline = function Headline({
  hammer,
  children,
}) {
  return (
    <h1
      className={classnames(
        classes.headline,
        {
          [classes.hammer]: hammer,
        },
      )}
    >
      {children}
    </h1>
  );
};

Headline.defaultProps = {
  hammer: false,
  children: undefined,
};

Headline.propTypes = {
  /**
   * Used for larger headlines
   */
  hammer: PropTypes.bool,
  /**
   * The contents of the button
   */
  children: PropTypes.string,
};

export default Headline;
