import PropTypes from 'prop-types';
import classnames from 'classnames';

import classes from './styles.module.scss';

const Subheading = function Subheading({
  children,
}) {
  return (
    <h2
      className={classnames(
        classes.subheading,
      )}
    >
      {children}
    </h2>
  );
};

Subheading.defaultProps = {
  children: undefined,
};

Subheading.propTypes = {
  /**
   * The contents of the button
   */
  children: PropTypes.string,
};

export default Subheading;
